<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models" 
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">
  
  <module name="base" package="com.axelor.apps.base.db"/>
  
  <entity name="FamilleProduit" lang="java" cacheable="true">

    <string name="code" title="Code" required="true" unique="true"/>
    <string name="name" title="Name" unique="true" required="true" namecolumn="true"/>
	<many-to-one name="familleParente" ref="FamilleProduit" title="Famille Parente"/>
    <integer name="niveau" title="Niveau" />
	<many-to-many name="parente" ref="com.axelor.apps.base.db.FamilleProduit" title="Famille Parente"/>
  	
  </entity>
  
</domain-models>
